<ngx-loading [show]="loading" [config]="{primaryColour: primaryColour, secondaryColour: secondaryColour, tertiaryColour: primaryColour, backdropBorderRadius: '3px', fullScreenBackdrop: true}" [template]="loadingTemplate"></ngx-loading>
<ng2-toasty [position]="position"></ng2-toasty>

<div class="row">
    <div class="col-md-12 col-xl-12">
        <div class="page-header-breadcrumb" style="float: left">
            <ul class="breadcrumb-title">
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'dashboard']"><i class="icofont icofont-home"></i></a> 
                </li> 
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program']">Kegiatan</a> 
                </li> 
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program', program_id]">Periode Anggaran</a> 
                </li>   
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program', program_id, 'anggaran', periodeanggaran_id]">Kegiatan</a> 
                </li>   
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program', program_id, 'anggaran', periodeanggaran_id, 'kegiatan', kegiatan_id]">Laporan Anggaran</a> 
                </li>   
                <li class="breadcrumb-item">
                    <a [routerLink]="['#']" class="not-active">Verifikasi</a> 
                </li>  
            </ul>
        </div>
    </div>
</div> 
<div class="row">
    <!-- counter-card-1 start-->
    <div class="col-md-12 col-xl-12">

        <br> 
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>Verifikasi Laporan Anggaran </h5>
            </div>
            <div class="card-block">
                
                <div class="row" style="/*border-bottom: 1px solid rgba(0,0,0,.125); padding-bottom: 10px;*/">
                    <div class="col-sm-2 col-xl-2">  
                        <!-- <button class="btn btn-inverse btn-sm btn-icon" type="button" (click)="showBack()" placement="top" ngbTooltip="Kembali"><i class="icofont icofont-rounded-left" style="font-size: xx-large;"></i></button> -->
                    </div>
                    <div class="col-sm-8 col-xl-8">  
                    </div>
                    <div class="col-sm-2 col-xl-2">
                    </div>
                </div> 

                <div class="row" *ngIf="finish_loading == true">
                    <div class="col-sm-12 col-xl-12">
                        <h3 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Kegiatan</b></h3>
                    </div>
                    <div class="col-sm-8 col-xl-8"> 
                        <table class="table datatable display compact" style="table-layout: fixed; word-wrap: break-word;">
                            <tr>
                                <td style="width: 46%; "><strong>Nama Kegiatan (Singkatan)</strong></td>
                                <td style="width: 54%; ">{{dataProgram.nama}}</td>
                            </tr>
                            <tr>
                                <td><strong>Nama Kegiatan (Kepanjangan)</strong></td>
                                <td>{{dataProgram.nama_lain}}</td>
                            </tr>
                            <tr>
                                <td><strong>OPD</strong></td>
                                <td>{{dataProgram.dinas.nama}}</td>
                            </tr>   
                            <tr>
                                <td><strong>Deskripsi</strong></td>
                                <td><span>{{dataProgram.deskripsi}}</span></td>
                            </tr>
                        </table>
                    </div>
                    
                    <div class="col-sm-4 col-xl-4 text-center">
                        <div style="text-align: center;">
                            <img class="img-200 text-center" [src]="dataProgram.logo" style="max-height: 140px; width: auto; "/>
                        </div> 
                    </div>
                    
                    <!-- <div class="col-sm-12 col-xl-12">
                        <br/> 
                        <table class="table datatable display compact" style="table-layout: fixed; word-wrap: break-word;">
                            <tr>
                                <td style="width: 30%"><strong>&nbsp;</strong></td>
                                <td style="width: 70%;"><span></span></td>
                            </tr>
                            <tr>
                                <td ><strong>PIC ASN</strong></td>
                                <td ><span *ngFor="let row of dataProgram.pic_asn.arr">{{row.value}}, </span></td>
                            </tr>
                            <tr>
                                <td><strong>PIC NON ASN</strong></td>
                                <td><span *ngFor="let row of dataProgram.pic_non_asn.arr">{{row.value}}, </span></td>
                            </tr> 
                            <tr>
                                <td><strong>TAJJ</strong></td>
                                <td><span *ngFor="let row of dataProgram.tajj.arr">{{row.value}}, </span></td>
                            </tr>
                            <tr>
                                <td><strong>Fasilitator</strong></td>
                                <td><span *ngFor="let row of dataProgram.fasilitator.arr">{{row.value}}, </span></td>
                            </tr> 
                            <tr>
                                <td><strong>Mitra</strong></td>
                                <td><span *ngFor="let row of dataProgram.mitra.arr">{{row.value}}, </span></td>
                            </tr>
                            <tr>
                                <td><strong>&nbsp;</strong></td>
                                <td><span></span></td>
                            </tr> 
                                
                            <tr>
                                <td><strong>Problem Statement</strong></td>
                                <td>
                                    <ul>
                                        <li *ngFor="let row of dataProgram.problem.arr">
                                            <i class="icofont icofont-stylish-right text-danger"></i>
                                            {{row.value}} 
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Ultimate Goal</strong></td>
                                <td>
                                    <ul>
                                        <li *ngFor="let row of dataProgram.goal.arr">
                                            <i class="icofont icofont-stylish-right text-danger"></i>
                                            {{row.value}} 
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr>
                                <td><strong>&nbsp;</strong></td>
                                <td><span></span></td>
                            </tr> 
                            <tr>
                                <td><strong>Dampak Output</strong></td>
                                <td> 
                                    {{dataProgram.dampak_pendek}}  
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Dampak Outcome</strong></td>
                                <td> 
                                    {{dataProgram.dampak_menengah}}  
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Dampak Impact</strong></td>
                                <td> 
                                    {{dataProgram.dampak_panjang}}  
                                </td>
                            </tr>
                            <tr>
                                <td><strong>&nbsp;</strong></td>
                                <td><span></span></td>
                            </tr> 
                            <tr>
                                <td><strong>Facebook</strong></td>
                                <td> 
                                    <a href="{{dataProgram.url_facebook}} ">{{dataProgram.url_facebook}}</a> 
                                </td>
                            </tr>
                            <tr> 
                                <td><strong>Instagram</strong></td>
                                    <td> 
                                    <a href="{{dataProgram.url_instagram}} ">{{dataProgram.url_instagram}}</a> 
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Twitter</strong></td>
                                    <td> 
                                    <a href="{{dataProgram.url_twitter}} ">{{dataProgram.url_twitter}}</a> 
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Youtube</strong></td>
                                    <td> 
                                    <a href="{{dataProgram.url_youtube}} ">{{dataProgram.url_youtube}}</a> 
                                </td>
                            </tr>  
                        </table> 
                    </div>   -->
                </div> 

                    
                <div class="row" *ngIf="finish_loading == true">
                    <div class="col-sm-12 col-xl-12">
                        <h2 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Periode Anggaran</b></h2>
                    </div>
                    
                    <div class="col-sm-12 col-xl-12">  
                        <table class="table datatable display compact" style="table-layout: fixed; word-wrap: break-word;">
                            <tr>
                                <td style="width: 30%"><strong>Periode</strong></td>
                                <td style="width: 70%; "><span>{{dataPeriodeAnggaran.periode.tahun}}</span></td>
                            </tr>
                            <tr *ngIf="dataKegiatan.kategori === 'apbd'">
                                <td><strong>Total Anggaran APBD</strong></td>
                                <td><span>{{convert.formatRupiah(dataPeriodeAnggaran.apbd)}}</span></td>
                            </tr>
                            <tr *ngIf="dataKegiatan.kategori === 'nonapbd'">
                                <td><strong>Total Anggaran Non APBD</strong></td>
                                <td><span>{{convert.formatRupiah(dataPeriodeAnggaran.nonapbd)}}</span></td>
                            </tr>
                            <!-- <tr *ngIf="dataKegiatan.kategori === 'nonapbd'">
                                <td><strong>Sumber Non APBD</strong></td>
                                <td><span>{{dataPeriodeAnggaran.sumber}}</span></td>
                            </tr> -->
                            <!-- <tr>
                                <td><strong>Total Rencana</strong></td>
                                <td><span>{{convert.formatRupiah(dataPeriodeAnggaran.total_anggaran)}}</span></td>
                            </tr> -->
                            <!-- <tr>
                                <td><strong>Serapan</strong></td>
                                <td>{{convert.formatRupiah(pencapaianPeriodeKuantitas)}} ({{pencapaianPeriodePersen}}%)</td>
                            </tr>  -->
                            <!-- <tr>
                                <td><strong>Keterangan</strong></td>
                                <td><span>{{dataPeriodeAnggaran.keterangan}}</span></td>
                            </tr> -->
                        </table>
                    </div>      
                </div>

                <div class="row" *ngIf="finish_loading == true">
                    <div class="col-sm-12 col-xl-12">
                        <h2 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Kegiatan</b></h2>
                    </div>
                    
                    <div class="col-sm-12 col-xl-12">  
                        <table class="table datatable display compact" style="table-layout: fixed; word-wrap: break-word;">
                            <tr>
                                <td style="width: 30%"><strong>Kegiatan</strong></td>
                                <td style="width: 70%; "><span>{{dataKegiatan.kegiatan}}</span></td>
                            </tr>
                            <tr>
                                <td><strong>Anggaran</strong></td>
                                <td><span>{{convert.formatRupiah(dataKegiatan.anggaran)}}</span></td>
                            </tr> 
                            <tr>
                                <td><strong>Serapan</strong></td>
                                <td>{{convert.formatRupiah(pencapaianKegiatanKuantitas)}} ({{pencapaianKegiatanPersen}}%)</td>
                            </tr> 
                            <!-- <tr>
                                <td><strong>Keterangan</strong></td>
                                <td><span>{{dataKegiatan.keterangan}}</span></td>
                            </tr> -->
                        </table>
                    </div>     
                </div>
                   
                <div class="row" *ngIf="finish_loading == true">
                    <div class="col-sm-12 col-xl-12">
                        <h2 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Laporan Anggaran</b></h2>
                    </div>
                    
                    <div class="col-sm-12 col-xl-12">
                        <table class="table datatable display compact" style="table-layout: fixed; word-wrap: break-word;">
                            <tr>
                                <td style="width: 30%"><strong>Bulan</strong></td>
                                <td style="width: 70%; "><span>{{dataLapAnggaran.bulan}}</span></td>
                            </tr>
                            <tr>
                                <td><strong>Serapan</strong></td>
                                <td><span>{{convert.formatRupiah(dataLapAnggaran.serapan)}}</span></td>
                            </tr> 
                            <tr>
                                <td><strong>Persentase</strong></td>
                                <td><span>{{dataLapAnggaran.persen}}%</span></td>
                            </tr> 
                            <tr>
                                <td><strong>Keterangan</strong></td>
                                <td><span>{{dataLapAnggaran.keterangan}}</span></td>
                            </tr>
                            <tr>
                                <td><strong>Keterangan Verifikasi</strong></td>
                                <td><span>{{dataLapAnggaran.keterangan_verifikasi}}</span></td>
                            </tr>
                            <tr>
                                <td><strong>Status Verifikasi</strong></td>
                                <td> 
                                    <span *ngIf="dataLapAnggaran.is_verified === true" class="label-md bg-success">&nbsp;&nbsp;Sudah diverifikasi&nbsp;</span>
                                    <span *ngIf="dataLapAnggaran.is_verified === false" class="label-md bg-danger">&nbsp;&nbsp;Belum diverifikasi&nbsp;&nbsp;</span>
                                </td>
                            </tr>
                        </table>
                    </div>   
                </div>

                <form class="md-float-material" [formGroup]="myForm" (ngSubmit)="onSubmit()" (keydown.enter)="$event.preventDefault()"> 
                  
                <div class="row" *ngIf="finish_loading == true">
                    <div class="col-sm-12 col-xl-12">
                        <h2 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Verifikasi</b></h2>
                    </div>
                    
                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">Serapan</label>
                        <input class="form-control" type="number" placeholder="id" formControlName="id" style="display: none"/>
                        <input class="form-control autonumber" type="text" placeholder="Serapan Anggaran" formControlName="serapan" (ngModelChange)="checkPersen($event)" currencyMask [options]="{ prefix: 'Rp. ', align: 'right', decimal: ',', thousands: '.', precision: 0, allowZero: true }"/>
                        <span class="messages text-danger" *ngIf="!myForm.get('serapan').valid && myForm.get('serapan')">* Harus diisi, tidak boleh negatif</span>
                        <span class="md-line"></span> 
                    </div>
                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">Persentase</label>
                        <div class="input-group">
                            <input class="form-control" type="text" placeholder="Persentase" formControlName="persen"/> 
                            <span class="input-group-addon" id="basic-addon8">%</span>
                        </div>
                        <span class="messages text-danger" *ngIf="!myForm.get('persen').valid && myForm.get('persen')">* Harus diisi</span>
                        <span class="md-line"></span> 
                    </div>  
                    <div class="col-sm-12 col-xl-12">
                        <label class="col-form-label">Keterangan</label> 
                        <textarea class="form-control" type="text" rows="5" placeholder="Keterangan Verifikasi" formControlName="keterangan_verifikasi" style="height: 100px;"></textarea>
                        <span class="messages text-danger" *ngIf="!myForm.get('keterangan_verifikasi').valid && myForm.get('keterangan_verifikasi')">* Harus diisi</span>
                        <span class="md-line"></span> 
                    </div>
    
                </div>

                <br>
                <div class="row" *ngIf="finish_loading == true">
                
                    <div class="col-sm-6 col-xl-6">
                    </div>
                    <div class="col-sm-3 col-xl-3">
                        <button class="btn btn-danger btn-md btn-block" type="button" (click)="showBack()" ><i class="icofont icofont-error"></i>Batal</button>
                    </div>
                    <div class="col-sm-3 col-xl-3">
                        <button class="btn btn-success btn-md btn-block" type="submit"  [disabled]="!myForm.valid" ><i class="icofont icofont-diskette"></i>Verifikasi</button>
                    </div> 
                </div>

                </form>
                
                 
            </div>
        </div>
    </div>
    <!-- counter-card-1 end-->
</div>
